<?php

declare(strict_types=1);

namespace App\Policies;

use App\Models\Screening;
use App\Models\User;

final class ScreeningPolicy
{
    /**
     * Determine whether the user can view any screenings.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the user can view the screening.
     */
    public function view(User $user, Screening $screening): bool
    {
        return true;
    }

    /**
     * Determine whether the user can create screenings.
     */
    public function create(User $user): bool
    {
        return false;
    }

    /**
     * Determine whether the user can update the screening.
     */
    public function update(User $user, Screening $screening): bool
    {
        return false;
    }

    /**
     * Determine whether the user can delete the screening.
     */
    public function delete(User $user, Screening $screening): bool
    {
        return false;
    }

    /**
     * Determine whether the user can restore the screening.
     */
    public function restore(User $user, Screening $screening): bool
    {
        return false;
    }

    /**
     * Determine whether the user can permanently delete the screening.
     */
    public function forceDelete(User $user, Screening $screening): bool
    {
        return false;
    }
}
